org.apache.lucene.codecs.asserting

## Class AssertingLiveDocsFormat

- java.lang.Object
- - org.apache.lucene.codecs.LiveDocsFormat
  - - org.apache.lucene.codecs.asserting.AssertingLiveDocsFormat

    public class AssertingLiveDocsFormat
    extends LiveDocsFormat

Just like the default live docs format but with additional asserts.

### Constructor Summary

Constructors
Constructor and Description
`AssertingLiveDocsFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `files(SegmentCommitInfo info, Collection<String> files)`
`Bits` `readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)`
`String` `toString()`
`void` `writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertingLiveDocsFormat

    public AssertingLiveDocsFormat()

### Method Detail

#### readLiveDocs

    public Bits readLiveDocs(Directory dir,
                             SegmentCommitInfo info,
                             IOContext context)
                      throws IOException

Specified by:
  `readLiveDocs` in class `LiveDocsFormat`
Throws:
  `IOException`

#### writeLiveDocs

    public void writeLiveDocs(Bits bits,
                              Directory dir,
                              SegmentCommitInfo info,
                              int newDelCount,
                              IOContext context)
                       throws IOException

Specified by:
  `writeLiveDocs` in class `LiveDocsFormat`
Throws:
  `IOException`

#### files

    public void files(SegmentCommitInfo info,
                      Collection<String> files)
               throws IOException

Specified by:
  `files` in class `LiveDocsFormat`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`